Уязвимость BDU:2022-02414

Дата: 17.09.2016. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02414.

Наименование уязвимости: Уязвимость компонента ext/standard/var_unserializer.re интерпретатора языка программирования PHP , позволяющая нарушителю вызвать отказ в обслуживании или, возможно, оказать другое воздействие.

Описание уязвимости: Уязвимость компонента ext/standard/var_unserializer.re интерпретатора языка программирования PHP вызвана переполнением буфера. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании или, возможно, оказать другое воздействие через несериализованный вызов, который ссылается на частично сконструированный объект
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 12.04 | Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Операционная система Debian GNU/Linux 8 | Операционная система Debian GNU/Linux 7.0 | Операционная система Canonical Ltd. Ubuntu 16.04 ESM | Прикладное ПО информационных систем PHP Group PHP до 5.6.25 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1204 32-bit | Debian GNU/Linux 9 | Ubuntu 1404 ESM | Debian GNU/Linux 8 | Debian GNU/Linux 70 | Ubuntu 1604 ESM |
Дата выявления: 17.09.2016.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:
https://github.com/php/php-src/commit/6a7cc8ff85827fa9ac715b3a83c2d9147f33cd43?w=1

Для Ubuntu
https://ubuntu.com/security/CVE-2016-7411

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2016-7411.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2016-7411.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.php.net/bug.php?id=73052
https://github.com/php/php-src/commit/6a7cc8ff85827fa9ac715b3a83c2d9147f33cd43?w=1
http://www.php.net/ChangeLog-5.php
http://www.openwall.com/lists/oss-security/2016/09/15/10
http://www.securityfocus.com/bid/93009
https://security.gentoo.org/glsa/201611-22
http://www.securitytracker.com/id/1036836

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.